<template>
  <el-dialog  append-to-body :visible.sync="isShow" :before-close="resetCancel">
    <el-form :model="form">
      <el-form-item label="物品名称" :label-width="formLabelWidth">
        <el-input v-model="form.name" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="	数量" :label-width="formLabelWidth">
        <el-input type="text" v-model="form.exhibitNum"></el-input>
      </el-form-item>
      <el-form-item label="	规格（型号）" :label-width="formLabelWidth">
        <el-input v-model="form.exhibitSize" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="	基数" :label-width="formLabelWidth">
        <el-input v-model="form.number" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="	备注" :label-width="formLabelWidth">
        <el-input v-model="form.remark" autocomplete="off"></el-input>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button @click="resetCancel">取 消</el-button>
      <el-button type="primary" @click="cancell()">确 定</el-button>
    </div>
  </el-dialog>
</template>

<script>
export default {
  name: "illegalPropertyReceiptForm",
  props:['isShow'],
  data() {
    return {
      form: {
        name:"",
        exhibitNum:"",
        exhibitSize:"",
        number:"",
        remark:"",
      },
      formLabelWidth: '120px'
    };
  },
  methods:{
    reset(){
      this.form = {
        exhibitName:"",
        brand:"",
        origin:"",
        exhibitSize:"",
        productionDate:"",
        exhibitNum:"",
        handlingSituation:"",
      }
    },
    resetCancel(){
      this.$emit('cancell',false);
      this.reset();
    },
    cancell(){
      this.$emit('cancell',false,this.form);
      this.reset();
    }
  },
}
</script>

<style scoped>

</style>
